{
  "name": "BudgetManaSystem",
  "private": true,
  "author": "code4eat <awesomedema@gmail.com>",
  "scripts": {
    "build": "max build",
    "dev": "cross-env REACT_APP_ENV=dev MOCK=none max dev",
    "format": "prettier --cache --write .",
    "postinstall": "max setup",
    "mock": "max dev",
    "prepare": "husky install",
    "setup": "max setup",
    "start": "npm run dev"
  },
  "dependencies": {
    "@ant-design/icons": "^4.7.0",
    "@ant-design/pro-components": "^2.0.1",
    "@umijs/max": "^4.0.51",
    "axios": "^1.3.3",
    "file-saver": "^2.0.5",
    "json-bigint": "^1.0.0",
    "lodash": "^4.17.21",
    "mathjs": "^11.6.0",
    "react-sortable-hoc": "^2.0.0",
    "umi-request": "^1.4.0",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@types/file-saver": "^2.0.5",
    "@types/json-bigint": "^1.0.1",
    "@types/lodash": "^4.14.192",
    "@types/react": "^18.0.0",
    "@types/react-dom": "^18.0.0",
    "cross-env": "^7.0.3",
    "husky": "^8.0.1",
    "lint-staged": "^13.0.3",
    "prettier": "^2.7.1",
    "prettier-plugin-organize-imports": "^2",
    "prettier-plugin-packagejson": "^2",
    "typescript": "^4.1.2"
  }
}
